> For the complete documentation index, see [llms.txt](https://docs.ryanmood.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ryanmood.me/privatechats/config-files/default-configs.md).

# Default Configs

{% tabs %}
{% tab title="config.yml" %}
{% code lineNumbers="true" %}

```yaml
# PrivateChats Configuration by RyanMood
# PlaceholderAPI is supported in all messages.

# This will disable chats on the spigot server & will forward triggered events to bungeecord.
bungeecord: false

messages:
  no_permission: "&7[&cError&7] &cYou do not have permission to do this."
  error_prefix: "&7[&cError&7] &c"
  usage_prefix: "&7[&cUsage&7] &c"
  sent: "&7[&aDelivered&7] &aYour message has been sent."
```

{% endcode %}
{% endtab %}

{% tab title="chats.yml" %}
{% code lineNumbers="true" %}

```yaml
# Chats config file for PrivateChats by RyanMood
# PlaceholderAPI is supported in all messages & formats.
# %player% = Player Name | %message% = Player Message / Event Message
# %status% = The status of the setting.

chats:
  helpop:
    name: "HelpOP"
    commands:
      - "helpop"
    send_perm: "privatechats.helpop.send"
    read_perm: "privatechats.helpop.read"
    format:
      message: "&7[&aHelpOP&7] &3%player%: %message%"
    sent_message: true
  staffchat:
    name: "StaffChat"
    commands:
      - "staffchat"
      - "sc"
    chat_prefix: "#"
    send_perm: "privatechats.staffchat.send"
    read_perm: "privatechats.staffchat.read"
    format:
      message: "&7[&bStaffChat&7] &3%player%: %message%"
      event: "&7[&bStaffChat&7] &3%message%"
    event_message: true
    sent_message: false
    toggle:
      enabled: true
      message: "&aYou have toggled StaffChat (%status%)!"
      commands:
        - "togglesc"
        - "togglestaffchat"
    hide:
      enabled: true
      message: "&aYou have %status% StaffChat!"
      commands:
        - "hidesc"
        - "hidestaffchat"
  adminchat:
    name: "AdminChat"
    commands:
      - "adminchat"
      - "ac"
    chat_prefix: "!"
    send_perm: "privatechats.adminchat.send"
    read_perm: "privatechats.adminchat.read"
    format:
      message: "&7[&cAdminChat&7] &3%player%: %message%"
      event: "&7&o[&c&oADMIN: %message%&7&o]"
    event_message: true
    sent_message: false
    toggle:
      enabled: true
      message: "&aYou have toggled AdminChat (%status%)!"
      commands:
        - "toggleac"
        - "toggleadminchat"
  developerchat:
    name: "DeveloperChat"
    commands:
      - "developerchat"
      - "devchat"
      - "dc"
    chat_prefix: "!"
    send_perm: "privatechats.devchat.send"
    read_perm: "privatechats.devchat.read"
    format:
      message: "&7[&aDevChat&7] &3%player%: %message%"
      event: "&7[&aDevChat&7] &b%event_message%"
    event_message: true
    sent_message: false
    toggle:
      enabled: true
      message: "&aYou have toggled Developer Chat (%status%)!"
      commands:
        - "toggledc"
        - "toggledeveloperchat"
        - "toggledevchat"
```

{% endcode %}
{% endtab %}

{% tab title="events.yml" %}
{% code lineNumbers="true" %}

```yaml
# Events config file for PrivateChats by RyanMood
# PlaceholderAPI placeholders can be used in all messages.
# Message will appear in between the chat event format.
# %player% = Player Name | %result% = Event Result (only some events support this)

toggled: true

events:
  join:
    event: "PlayerJoinEvent"
    message: "&b%player% has joined the server."
  leave:
    event: "PlayerQuitEvent"
    message: "&b%player% has left the server."
  flight:
    event: "PlayerToggleFlightEvent"
    message: "&b%player% has enabled flight."
  gamemode:
    event: "PlayerGameModeChangeEvent"
    message: "&b%player% has changed their gamemode to %result%."
  exp_change:
    event: "PlayerExpChangeEvent"
    message: "&B%player%'s exp has changed to %result%."
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ryanmood.me/privatechats/config-files/default-configs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
